/distributions
Calculate data distributions based around profiles fields such as estimated wage.
GET /distributions
GET /distributionsGet a list of available distribution facets.
Code Examples
curl --request GET \
--url https://api.lightcast.io/profiles/distributions \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Reponse Examples
{
"data": [
"estimated_wage"
]
}POST /distributions/{distributionFacet}
POST /distributions/{distributionFacet}Get a data distribution by percentiles or fixed interval for a selected facet.
Path Parameters
| Name | Type | Description |
|---|---|---|
distributionFacet | enum | he facet used as the domain of the distribution. Example: Must be one of: |
Query Parameters
| Name | Type | Description |
|---|---|---|
area_version | enum | Specify US Area taxonomy version to use. This parameter is optional. Must be one of: |
soc_version | enum | Specify SOC taxonomy version to use. This parameter is optional. Default: Must be one of: |
title_version | enum | Specify Job Title taxonomy version to use. This parameter is optional. Default: Must be one of: |
cip_version | enum | Specify CIP taxonomy version to use. This parameter is optional. Default: Must be one of: |
company_version | enum | Specify company taxonomy version to use. This parameter is optional. Default: |
onet_version | enum | Specify ONET taxonomy version to use. This parameter is optional. Default: Must be one of: |
naics_version | enum | Specify NAICS taxonomy version to use. This parameter is optional. Default: Must be one of: |
new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: |
area_us_version | enum | Specify US Area taxonomy version to use. This parameter is optional. Default: Must be one of: |
soc_lightcast_version | enum | Specify SOC Lightcast taxonomy version to use. This parameter is optional. Default: Must be one of: |
onet_standard_version | enum | Specify ONET Standard taxonomy version to use. This parameter is optional. Default: Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: Must be one of: |
Requst Body
{
"filter": {
"state_name": [
"California"
]
},
"distribution": {
"type": "percentile",
"options": {
"keys": [
25,
50,
75
]
},
"metrics": [
"profiles",
"unique_companies"
]
}
}Code Examples
curl --request POST \
--url https://api.lightcast.io/profiles/distributions/{distributionFacet} \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "filter": { "state_name": [ "California" ] }, "distribution": { "type": "percentile", "options": { "keys": [ 25, 50, 75 ] }, "metrics": [ "profiles", "unique_companies" ] } }'Response Examples
{
"data": {
"distribution": {
"buckets": [
{
"key": 25,
"profiles": 2,
"unique_companies": 3,
"value": 56064
},
{
"key": 50,
"profiles": 6,
"unique_companies": 5,
"value": 82688
},
{
"key": 75,
"profiles": 9,
"unique_companies": 6,
"value": 94976
}
],
"domain": {
"max": 174054,
"min": 47236
},
"facet": "estimated_wage",
"interval": null,
"type": "percentile"
},
"totals": {
"profiles": 18,
"unique_companies": 16
}
}
}//Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}//The facet you requested wasn't found.
{
"errors": [
{
"status": 404,
"title": "URL not found",
"detail": "Unrecognized facet 'foo'"
}
]
}//Your request wasn't valid (bad keyword expression).
{
"errors": [
{
"status": 422,
"title": "Invalid request content",
"detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t ^"
}
]
}
